#107414 Report by node Cxhost covering 1743 tests from 45 modules resulted into 16 errors

Report

ObsPy version
1.1.1
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
1572.5 sec
Report date/time
2019-12-13 07:58:20

System / Python

Architecture
64bit
Machine
x86_64
Node
Cxhost
Processor
i386
Python Compiler
GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)
Python Implementation
CPython
Python Version
3.6.9
Release
19.0.0
System
Darwin
Version
Darwin Kernel Version 19.0.0: Thu Oct 17 16:17:15 PDT 2019; root:xnu-6153.41.3~29/RELEASE_X86_64

Dependencies

cartopy
---
decorator
4.4.1
flake8
3.7.9
future
0.18.2
geographiclib
1.50
lxml.etree
4.4.2
m2crypto
---
matplotlib
3.1.2
mock
3.0.5
mpl_toolkits.basemap
---
numpy
1.16.2
pep8-naming
---
pyflakes
2.1.1
pyimgur
0.5.2
pyproj
1.9.6
requests
2.22.0
scipy
1.3.2
setuptools
42.0.1
shapefile
---
sqlalchemy
1.3.11

Modules (45)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 5 1 2 3 4 5
obspy.db - -
obspy.geodetics - -
obspy.imaging 11 6 7 8 9 10 11 12 13 14 15 16
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 16 16

Tracebacks (16)

Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.stream.read
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/stream.py", line 1, in read
----------------------------------------------------------------------
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/stream.py", line 176, in obspy.core.stream.read
Failed example:
st = read("https://examples.obspy.org/loc_RJOB20050831023349.z",
starttime=dt, endtime=dt+10)
Exception raised:
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
conn.connect()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/util/ssl_.py", line 329, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 407, in wrap_socket
_context=self, _session=session)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 817, in __init__
self.do_handshake()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 1077, in do_handshake
self._sslobj.do_handshake()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 689, in do_handshake
self._sslobj.do_handshake()
TimeoutError: [Errno 60] Operation timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/util/retry.py", line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/packages/six.py", line 685, in reraise
raise value.with_traceback(tb)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
chunked=chunked)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connectionpool.py", line 850, in _validate_conn
conn.connect()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/connection.py", line 326, in connect
ssl_context=context)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/urllib3/util/ssl_.py", line 329, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 407, in wrap_socket
_context=self, _session=session)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 817, in __init__
self.do_handshake()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 1077, in do_handshake
self._sslobj.do_handshake()
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/ssl.py", line 689, in do_handshake
self._sslobj.do_handshake()
urllib3.exceptions.ProtocolError: ('Connection aborted.', TimeoutError(60, 'Operation timed out'))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.core.stream.read[25]>", line 2, in <module>
starttime=dt, endtime=dt+10)
File "</Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/decorator.py:decorator-gen-31>", line 2, in read
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/decorator.py", line 301, in _map_example_filename
return func(*args, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/stream.py", line 229, in read
download_to_file(url=pathname_or_url, filename_or_buffer=fh)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/base.py", line 617, in download_to_file
r = requests.get(url, stream=True)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/sessions.py", line 533, in request
resp = self.send(prep, **send_kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/sessions.py", line 646, in send
r = adapter.send(request, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', TimeoutError(60, 'Operation timed out'))
----------------------------------------------------------------------
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/stream.py", line 178, in obspy.core.stream.read
Failed example:
print(st) # doctest: +ELLIPSIS
Expected:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:34:00.000000Z - ... | 200.0 Hz, 2001 samples
Got:
1 Trace(s) in Stream:
.RJOB..Z | 2005-08-31T02:33:49.850000Z - 2005-08-31T02:34:49.845000Z | 200.0 Hz, 12000 samples
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/tests/test_channel.py", line 61, in test_response_plot
cha.plot(0.005, outfile=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: channel_response.png
	RMS: 4.882834645011511
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11fd08198>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/tests/test_network.py", line 147, in test_response_plot
time=t, outfile=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: network_response.png
	RMS: 3.494109258640444
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x120703c88>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/tests/test_station.py", line 56, in test_response_plot
sta.plot(0.05, channel="*[NE]", outfile=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: station_response.png
	RMS: 6.448158801472894
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x122492d68>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/tests/test_station.py", line 76, in test_response_plot_degrees
outfile=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: station_response_degrees.png
	RMS: 6.394747464825244
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11ecea5f8>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_source.py", line 35, in test_farfield_with_quiver
mt, kind=['beachball', 's_quiver', 'p_quiver'], show=False)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/source.py", line 134, in plot_radiation_pattern
fig, axes, kind = _setup_figure_and_axes(kind, fig=fig)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/source.py", line 69, in _setup_figure_and_axes
nrows, ncols_, i * ncols_ + j + 1, **kwargs))
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/figure.py", line 1414, in add_subplot
a = subplot_class_factory(projection_class)(self, *args, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/axes/_subplots.py", line 69, in __init__
self._axes_class.__init__(self, fig, self.figbox, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/mpl_toolkits/mplot3d/axes3d.py", line 101, in __init__
super().__init__(fig, rect, frameon=True, *args, **kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/axes/_base.py", line 509, in __init__
self.update(kwargs)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/artist.py", line 974, in update
ret = [_update_property(self, k, v) for k, v in props.items()]
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/artist.py", line 974, in <listcomp>
ret = [_update_property(self, k, v) for k, v in props.items()]
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/artist.py", line 971, in _update_property
return func(v)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/matplotlib/axes/_base.py", line 1281, in set_aspect
'It is not currently possible to manually set the aspect '
NotImplementedError: It is not currently possible to manually set the aspect on 3D axes
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_plot.py", line 44, in test_plot
obspy_plot(['--outfile', ic.name] + all_files)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: plot.png
	RMS: 11.02481020244793
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1228b93c8>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_plot.py", line 60, in test_plot_no_merge
all_files)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: plot_nomerge.png
	RMS: 9.1898904599928
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1207bffd0>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_waveform.py", line 216, in test_plot_multiple_traces
st.plot(outfile=ic.name, automerge=False)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_1_trace.png
	RMS: 17.1411335681162
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x125218160>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_waveform.py", line 255, in test_plot_with_labels
st.plot(outfile=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: waveform_labels.png
	RMS: 10.084385289479307
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1229b7908>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_scan.py", line 71, in test_scan_function_and_scanner_class
scan(paths=os.curdir, plot=ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1210e5c50>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_scan.py", line 55, in test_scan_main_method
obspy_scan([os.curdir] + ['--output', ic.name])
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11f218eb8>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_scan.py", line 126, in test_scan_save_load_npz
scanner.plot(ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x11f01d908>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_scan.py", line 96, in test_scanner_manually_add_streams
scanner.plot(ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: scan.png
	RMS: 8.132253848886045
	Tolerance: 3.0
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1206f9128>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_ppsd.py", line 44, in test_ppsd_plot
fig.savefig(ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd.png
	RMS: 19.552837816201173
	Tolerance: 4.5
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x122984668>: Failed to establish a new connection: [Errno 60] Operation timed out',))).
Traceback (most recent call last):
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/imaging/tests/test_ppsd.py", line 85, in test_ppsd_plot_cumulative
fig.savefig(ic.name)
File "/Users/cxhost/.pyenv/versions/anaconda3-2019.07/envs/py36/lib/python3.6/site-packages/obspy/core/util/testing.py", line 510, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: ppsd_cumulative.png
	RMS: 19.552839520983476
	Tolerance: 4.5
Upload to imgur failed (caught ConnectionError: HTTPSConnectionPool(host='api.imgur.com', port=443): Max retries exceeded with url: /3/image (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x1250e6390>: Failed to establish a new connection: [Errno 60] Operation timed out',))).

Skipped tests (35)

Submodule Test Skip message
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) basemap not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkBasemapTestCase) basemap not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) pyshp not installed
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels

Slowest tests (20)

Runtime Test
314.302s read (obspy.core.stream)
78.130s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
75.711s test_scan_function_and_scanner_class (obspy.imaging.tests.test_scan.ScanTestCase)
75.687s test_scan_save_load_npz (obspy.imaging.tests.test_scan.ScanTestCase)
75.637s test_ppsd_plot (obspy.imaging.tests.test_ppsd.PPSDTestCase)
75.621s test_scan_main_method (obspy.imaging.tests.test_scan.ScanTestCase)
75.613s test_scanner_manually_add_streams (obspy.imaging.tests.test_scan.ScanTestCase)
75.589s test_response_plot (obspy.core.tests.test_station.StationTestCase)
75.547s test_response_plot (obspy.core.tests.test_network.NetworkTestCase)
75.539s test_ppsd_plot_cumulative (obspy.imaging.tests.test_ppsd.PPSDTestCase)
75.532s test_response_plot (obspy.core.tests.test_channel.ChannelTestCase)
75.516s test_response_plot_degrees (obspy.core.tests.test_station.StationTestCase)
75.390s test_plot_with_labels (obspy.imaging.tests.test_waveform.WaveformTestCase)
75.369s test_plot_no_merge (obspy.imaging.tests.test_plot.PlotTestCase)
75.332s test_plot (obspy.imaging.tests.test_plot.PlotTestCase)
75.238s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
5.555s __init__ (obspy.taup)
4.722s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
4.279s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
4.213s plot_tfr (obspy.signal.tf_misfit)

Chuck Norris fact

Chuck Norris doesn't do Burn Down charts, he does Smack Down charts.